LV2FILE(1)

NAME
lv2file - Apply LV2 effects to audio files

SYNOPSIS
lv2file
    -l|--list
    -n|--nameports PLUGIN
    -i INFILE -o OUTFILE [ OPTIONS ] PLUGIN

DESCRIPTION
lv2file is aprogram which you can use to apply effects to your audio files without much hassle. Possible use cases are:
    * To apply an effect without having to open a GUI or start a project.
    * To apply effects to a large number of files, or in an automated manner.
    * A deterministic environment to debug a plugin.
    * Audio editing in a command-line only environment
lv2file uses the LV2 plugin format (http://lv2plug.in/) for the effects it uses.

OPTIONS
lv2file follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-l, --list
    List and number all available plugins.

-n --nameports PLUGIN
    List all the input and control ports for the specified plugin.

-i FILE
    Input the audio from a given FILE. Most common sampled audio formats are supported.

-o FILE
    Output to given FILE. If "-" is given and "--channels" and "--rate" are both specified, then output will be written as raw, 32-bit floating point samples to stdout.

-n, --channels CHANNELS
    Specify the channel count when reading from stdin and writing to stdout.

-r, --rate RATE
    Specify the sample rate reading from stdin and writing to stdout.

-c, --connect CHANNEL:PORT
    Connect the channel CHANNEL in the input file to the audio port PORT of the plugin. If you connect multiple channels to the same port, they will be mixed together. The -c option is often not necessary, as lv2file will try to guess how you would like to connect the ports.
    It is possible to run multiple instances of a plugin using the syntax "-c 5:2.left" which, for example, would connect the fifth channel of audio to the port labeled "left" in the second copy of the plugin. You don't need to specify how many plugins to run, lv2file automatically makes enough according to the connections you make.

-p, --parameters PORT:VALUE
    Pass values to the control ports of the plugin, essentially telling the effect how to handle the audio. PORT is the name of the control port, and VALUE is the value to set it to. For example "-p volume:1" sets the effects "volume" control to 1.

    You should note that because lv2file uses LV2 plugins, the VALUES will always be floating point numbers. It is not possible to vary a parameter with time. It is also not possible to have different control values for multiple plugin instances. Instead, split up the channels of your audio files, and process them in batches whose parameters are all the same.

[ -m --mono ]
    Mix down all of the channels together and pass them to the plugin. This will only work if the plugin has only a single audio input. This is to be used instead of manually specifying connections.

[ -b, --blocksize N ]
    The size of the chunks the audio is processed in. This might have implications for speed of processing. N is measured in frames, not samples. The default is 512.

[ --ignore-clipping ]
    By default, lv2file will check every sample for clipping and will warn the user if any clipping occurs. However, if know that the effect won't produce clipping, or you don't care if it does, you can use this option to turn off the check for clipping. This will make lv2file run slightly faster.

AUTHOR
lv2file was written by Jeremy Salwen <jeremysalwen@gmail.com>.

This manual page was written by Jeremy Salwen <jeremysalwen@gmail.com>, for the Debian project (and may be used by others).